---

kubernetes_charts_vault_repository: https://helm.releases.hashicorp.com
kubernetes_charts_vault_etc_path: "{{ ansible_user_dir }}/helm/vault"
kubernetes_charts_vault_namespace: vault-system
kubernetes_charts_vault_version: 0.16.0

kubernetes_charts_vault_ha: true
kubernetes_charts_vault_tls: true
kubernetes_charts_vault_ui: false

kubernetes_charts_vault_nodes:
  "{{ '3' if (kubernetes_charts_vault_ha | bool) else '1' }}"
kubernetes_charts_vault_nodes_id:
  "{{ range(kubernetes_charts_vault_nodes | int) | list }}"
kubernetes_charts_vault_protocol:
  "{{ 'https' if (kubernetes_charts_vault_tls | bool) else 'http' }}"
kubernetes_charts_vault_options:
  "{{ '-ca-cert=/vault/userconfig/vault-secret/vault.crt'
  if (kubernetes_charts_vault_tls | bool) else '' }}"

kubernetes_charts_vault_override_file:
  "{{ kubernetes_charts_vault_etc_path }}/vault-override.yml"

kubernetes_charts_vault_storage_size: 1Gi
kubernetes_charts_vault_token:
  "{{ lookup('env','VAULT_TOKEN') | default ('', true) }}"
